package org.eclipse.scout.demo.view.shared.services.code;

import org.eclipse.scout.commons.annotations.Order;
import org.eclipse.scout.commons.exception.ProcessingException;
import org.eclipse.scout.demo.view.shared.Texts;
import org.eclipse.scout.rt.shared.services.common.code.AbstractCode;
import org.eclipse.scout.rt.shared.services.common.code.AbstractCodeType;

public class ACodeType extends AbstractCodeType<Long> {

  private static final long serialVersionUID = 1L;
  public static final long ID = 0L;//TODO
  public ACodeType() throws ProcessingException {
  super();
  }
  @Override
  protected String getConfiguredText() {
    return Texts.get("ACodeType");
  }
  @Override
  public Long getId() {
  return ID;
  }
  @Order(10.0)
  public class ListBoxElement1Code extends AbstractCode<Long>{

    private static final long serialVersionUID = 1L;
    public static final long ID = 0L;//TODO [gugi] create code id.
    @Override
    protected String getConfiguredText() {
      return Texts.get("ListBoxElement1");
    }
    @Override
    public Long getId() {
    return ID;
    }
  }
  @Order(20.0)
  public class ListboxElement2Code extends AbstractCode<Long>{

    private static final long serialVersionUID = 1L;
    public static final long ID = 0L;//TODO [gugi] create code id.
    @Override
    protected String getConfiguredText() {
      return Texts.get("ListboxElement2");
    }
    @Override
    public Long getId() {
    return ID;
    }
  }
}
