package org.eclipse.scout.demo.view.shared.services.process;

import org.eclipse.scout.rt.shared.data.form.fields.AbstractValueFieldData;
import org.eclipse.scout.rt.shared.data.form.AbstractFormData;
import org.eclipse.scout.rt.shared.data.form.properties.AbstractPropertyData;

public class BottomFormData extends AbstractFormData {
  private static final long serialVersionUID = 1L;

  public BottomFormData() {
  }

  public BottomNrProperty getBottomNrProperty() {
    return getPropertyByClass(BottomNrProperty.class);
  }

  /**
   * access method for property BottomNr.
   */
  public Long getBottomNr() {
    return getBottomNrProperty().getValue();
  }

  /**
   * access method for property BottomNr.
   */
  public void setBottomNr(Long bottomNr) {
    getBottomNrProperty().setValue(bottomNr);
  }

  public Bottom getBottom() {
    return getFieldByClass(Bottom.class);
  }

  public Note getNote() {
    return getFieldByClass(Note.class);
  }

  public class BottomNrProperty extends AbstractPropertyData<Long> {
    private static final long serialVersionUID = 1L;

    public BottomNrProperty() {
    }
  }

  public class Bottom extends AbstractValueFieldData<String> {
    private static final long serialVersionUID = 1L;

    public Bottom() {
    }
  }

  public class Note extends AbstractValueFieldData<String> {
    private static final long serialVersionUID = 1L;

    public Note() {
    }
  }
}
