package org.eclipse.scout.demo.view.shared.services.process;

import org.eclipse.scout.commons.exception.ProcessingException;
import org.eclipse.scout.service.IService;

public interface IRightProcessService extends IService {

  RightFormData prepareCreate(RightFormData formData) throws ProcessingException;

  RightFormData create(RightFormData formData) throws ProcessingException;

  RightFormData load(RightFormData formData) throws ProcessingException;

  RightFormData store(RightFormData formData) throws ProcessingException;
}
