package org.eclipse.scout.demo.view.shared.services.process;

import java.util.Date;
import org.eclipse.scout.rt.shared.data.form.fields.AbstractValueFieldData;
import org.eclipse.scout.rt.shared.data.form.AbstractFormData;

public class DesktopFormData extends AbstractFormData {
  private static final long serialVersionUID = 1L;

  public DesktopFormData() {
  }

  public ASequenceFrom getASequenceFrom() {
    return getFieldByClass(ASequenceFrom.class);
  }

  public ASequenceTo getASequenceTo() {
    return getFieldByClass(ASequenceTo.class);
  }

  public ASmart getASmart() {
    return getFieldByClass(ASmart.class);
  }

  public AText getAText() {
    return getFieldByClass(AText.class);
  }

  public class ASequenceFrom extends AbstractValueFieldData<Date> {
    private static final long serialVersionUID = 1L;

    public ASequenceFrom() {
    }
  }

  public class ASequenceTo extends AbstractValueFieldData<Date> {
    private static final long serialVersionUID = 1L;

    public ASequenceTo() {
    }
  }

  public class ASmart extends AbstractValueFieldData<Long> {
    private static final long serialVersionUID = 1L;

    public ASmart() {
    }
  }

  public class AText extends AbstractValueFieldData<String> {
    private static final long serialVersionUID = 1L;

    public AText() {
    }
  }
}
