package org.eclipse.scout.demo.view.shared.services.process;

import org.eclipse.scout.rt.shared.data.form.fields.AbstractValueFieldData;
import org.eclipse.scout.rt.shared.data.form.AbstractFormData;
import org.eclipse.scout.rt.shared.data.form.properties.AbstractPropertyData;

public class RightFormData extends AbstractFormData {
  private static final long serialVersionUID = 1L;

  public RightFormData() {
  }

  public RightNrProperty getRightNrProperty() {
    return getPropertyByClass(RightNrProperty.class);
  }

  /**
   * access method for property RightNr.
   */
  public Long getRightNr() {
    return getRightNrProperty().getValue();
  }

  /**
   * access method for property RightNr.
   */
  public void setRightNr(Long rightNr) {
    getRightNrProperty().setValue(rightNr);
  }

  public AListBox getAListBox() {
    return getFieldByClass(AListBox.class);
  }

  public Right getRight() {
    return getFieldByClass(Right.class);
  }

  public class RightNrProperty extends AbstractPropertyData<Long> {
    private static final long serialVersionUID = 1L;

    public RightNrProperty() {
    }
  }

  public class AListBox extends AbstractValueFieldData<Long[]> {
    private static final long serialVersionUID = 1L;

    public AListBox() {
    }
  }

  public class Right extends AbstractValueFieldData<String> {
    private static final long serialVersionUID = 1L;

    public Right() {
    }
  }
}
